import { ref as n, defineComponent as i, createVNode as l } from "vue";
import "../../../config-provider/index.mjs";
import { useToken as f } from "../../../config-provider/hooks/use-token.mjs";
import { useLocale as r } from "../../../config-provider/hooks/use-locale.mjs";
function C() {
  const e = n(0);
  return [/* @__PURE__ */ i({
    props: {
      title: {
        type: null,
        default: null
      },
      maxCount: {
        type: Number,
        required: !0
      },
      isShowDefaultSuffix: {
        type: Boolean,
        default: !0
      }
    },
    setup(t, {
      slots: a
    }) {
      const {
        t: o
      } = r(), {
        token: u
      } = f();
      return () => l("div", null, [t.title, a.default ? a.default({
        maxCount: t.maxCount,
        count: e.value
      }) : t.isShowDefaultSuffix && l("span", {
        style: {
          color: u.value?.textColor3,
          fontSize: "12px",
          fontWeight: "normal",
          marginLeft: "12px"
        }
      }, [isFinite(t.maxCount) ? o("ap.apTableModal.titleSuffixOne", {
        maxCount: t.maxCount
      }) : "", o("ap.apTableModal.titleSuffixTwo"), l("span", {
        style: {
          color: u.value?.colorPrimary
        }
      }, [e.value]), o("ap.apTableModal.titleSuffixThree")])]);
    }
  }), {
    setCount: (t) => {
      e.value = t;
    }
  }];
}
export {
  C as useModalTitle
};
